# $Revision: 1.26 $, $Date: 2004/09/01 01:04:44 $
Summary:	Application launcher for the WindowMaker Dock
Summary(pl):	Program do uruchamiania aplikacji dla Doku WindowMakera
Name:		wmappl
Version:	0.71
Release:	3
License:	GPL
Group:		X11/Window Managers/Tools
Source0:	http://dl.sourceforge.net/wmappl/%{name}-%{version}.tar.gz
# Source0-md5:	a72ed0dba969ff0e5e507680bf40fdd6
Source1:	%{name}.desktop
Patch0:		%{name}-datadir.patch
URL:		http://wmappl.sourceforge.net/
BuildRequires:	XFree86-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WMAppl is a simple application launcher for the WindowMaker Dock.

%description -l pl
WMAppl jest prostym programem do uruchamiania aplikacji, przeznaczonym
dla Doku WindowMakera.

%prep
%setup -q
%patch0 -p1

%build
%configure 
%{__make} 

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}/docklets

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/docklets

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README 
%attr(755,root,root) %{_bindir}/wmappl
%{_datadir}/%{name}
%{_desktopdir}/docklets/*
%{_mandir}/*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wmappl.spec,v $
Revision 1.26  2004/09/01 01:04:44  ankry
- %files fix, rel. 3

Revision 1.25  2004/08/17 23:42:00  havner
- rel 2

Revision 1.24  2004/06/10 14:55:08  yogib
- updated to 0.71, added datadir patch

Revision 1.23  2004/05/08 15:45:34  yogib
- switched to vfolders

Revision 1.22  2004/03/14 10:21:01  yogib
- added desktop

Revision 1.21  2004/03/14 09:13:58  yogib
- updated to 0.70
- removed obsoleted misc patch, added mans, changed %%doc

Revision 1.20  2004/02/05 20:24:23  yogib
- updated to 0.61
- updated URLs, patch, %%install

Revision 1.19  2003/09/18 12:26:42  havner
- mass commit: some fixes due to prefix change

Revision 1.18  2003/06/23 10:08:47  ankry
- 0.6, untested

Revision 1.17  2003/06/23 10:07:27  ankry
- 0.6, untested

Revision 1.16  2003/06/23 10:07:05  ankry
- fixed URLs, md5

Revision 1.15  2003/05/28 13:02:52  malekith
- massive attack: source-md5

Revision 1.14  2003/05/25 06:27:56  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2003/01/18 22:57:41  juandon
- removed two lines with define

Revision 1.12  2002/11/29 22:47:16  ankry
- massive attack: new %%doc

Revision 1.11  2002/02/22 23:29:59  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/01/18 02:15:22  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/12/02 00:32:22  kloczek
- pass CC=%%{__cc} in make parameters.

Revision 1.8  2001/11/25 17:24:17  blues
- release 2

Revision 1.7  2001/11/21 02:42:20  blues
- URLs updated (based on freshmeat information)
- cosmetics in files
NOTE: there is new version available

Revision 1.6  2001/05/03 01:14:05  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.5  2000/11/12 16:58:51  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.4  2000/06/09 07:24:02  kloczek
- added using %%{__make} macro.

Revision 1.3  2000/04/01 11:15:59  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:55:09  baggins
- translated kloczkish into english

Revision 1.1  1999/10/30 18:14:26  pius
- initial release
